# Create your views here.
#--Importa la bilbioteca de manejo de sistema operativo python
import os
#--Importa la biblioteca de manejo de tiempo Python
import time
#--Importa la biblioteca de manejo de base de datos Oracle
import cx_Oracle
#--Importa el manejo de respuestas de DJANGO
from django.http import HttpResponse
#--Importa el decorador para manejo de excepcion en la autenticacion
from django.views.decorators.csrf import csrf_exempt
#--Bibliotecas para el manejo del REST y de JSON
from rest_framework.renderers import JSONRenderer
from rest_framework.parsers import JSONParser
from rest_framework import status
from rest_framework.decorators import api_view
from rest_framework.response import Response
#--Importa los modelos en caso de necesitarlos
from consola.models import Actividad,Conexion,Modulo,Transaccion,Workflow,Workflow_Transaccion,Tabla,Campo_Valor,Grupo,Campo_Cuenta,Concepto
#--Importa lo serializadores
from consola.serializers import *
#--Clase que transforma la respuesta en JSON
class JSONResponse(HttpResponse):
    """
    An HttpResponse that renders it's content into JSON.
    """
    def __init__(self, data, **kwargs):
        content = JSONRenderer().render(data)
        kwargs['content_type'] = 'application/json'
        super(JSONResponse, self).__init__(content, **kwargs)

#--Definicion que devuelve la vigencia de acuerdo al dia
@csrf_exempt
def anho_list(request):
    #--Llama a la fecha actual
    da = time.time()
    #--Extrae el anho
    mes = time.localtime(da)[0]
    #--Retorna el anho
    return JSONResponse(mes)
